- Home
- API Enriched
- Users
- config
- DELETE
DELETE
POST
/api/config/namespaces/{namespace}/known_label_key/delete
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/known_label_key/delete';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"key":"example","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/known_label_key/delete \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "key": "example", "namespace": "example" }'DELETE will DELETE a given label key label key from current tenants shared namespace.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace Namespace in which to DELETE the label key.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Delete Label Key
Deletes Label key matching label.key.
object
key
Key
Key to be deleted.
string
namespace
Namespace
Namespace in which to DELETE the label key.
string
Examplegenerated
{ "key": "example", "namespace": "example"}Responses
Section titled “Responses”A successful response.
Media typeapplication/json
Delete Response
Response for DELETE API.
object
Examplegenerated
{}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example